View Documentation For
settings
menu settings

# Welcome to discord.py

discord.py is a modern, easy to use, feature-rich, and async ready API wrapper for Discord.

Features:

- Modern Pythonic API using `async`/`await` syntax

- Sane rate limit handling that prevents 429s

- Command extension to aid with bot creation

- Easy to use with an object oriented design

- Optimised for both speed and memory

## Getting started

Is this your first time using the library? This is the place to get started!

- First steps: Introduction | Quickstart | Setting Up Logging

- Working with Discord: Creating a Bot Account | A Primer to Gateway Intents

- Examples: Many examples are available in the repository.

## Getting help

If you’re having trouble with something, these resources might help.

- Try the Frequently Asked Questions first, it’s got answers to all common questions.

- Ask us and hang out with us in our Discord server.

- If you’re looking for something specific, try the index or searching.

- Report bugs in the issue tracker.

- Ask in our GitHub discussions page.

## Extensions

These extensions help you during development when it comes to common tasks.

- `discord.ext.commands` – Bot commands framework
- `discord.ext.tasks` – asyncio.Task helpers

## Manuals

These pages go into great detail about everything the API can do.

- API Reference
- Interactions API Reference
- discord.ext.commands API Reference
- discord.ext.tasks API Reference

## Meta

If you’re looking for something related to the project itself, it’s here.

- Changelog
- Version Guarantees
- Migrating to v2.0
- Migrating to v1.0

close

# Settings

## Font

### Use a serif font:

## Theme

### Automatic

### Light

### Dark

arrow_upwardto top